Verify Status Page Domain
POST /api/status-pages/domains/verify
Verify Status Page Domain
POST /api/status-pages/domains/verify
Verifies DNS TXT records for a custom status page domain. Admin-only.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
domainId | number | Yes | The domain ID to verify |
Example (cURL)
curl -X POST "$BASE_URL/api/status-pages/domains/verify" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{ "domainId": 42 }'
Response (success)
{
"verified": true,
"status": "verified",
"domain": {
"id": 42,
"hostname": "status.example.com",
"status": "verified",
"role": "status_page",
"verificationToken": "abc123-def456-ghi789",
"verifiedAt": "2026-05-01T12:00:00.000Z",
"createdAt": "2026-05-01T11:00:00.000Z",
"updatedAt": "2026-05-01T12:00:00.000Z"
}
}
Common errors
401 Unauthorizedwhen not authenticated403 Forbiddenwhen not an admin404 Not foundwhen the domain does not exist